IF (SELECT COUNT(*) FROM fco_Administradoras) = 0
INSERT INTO fco_administradoras
(codigo, registro_fiscal, digito_verificacion, direccion, telefono, 
cod_super, cod_alterno, tipo, agrupacion, forma_presentacion)
SELECT codigo, registro_fiscal, digito_verificacion, direccion, telefono, 
cod_super, cod_alterno, tipo, agrupacion, forma_presentacion
FROM administradoras a
WHERE EXISTS 
(SELECT 1 FROM datos_agr_trab x
 WHERE x.agrupacion = a.agrupacion AND a.codigo = x.dato);


GO
IF (SELECT COUNT(*) FROM fco_Administradoras WHERE tipo = 'CCF') = 0

INSERT INTO fco_administradoras (codigo, tipo, agrupacion, forma_presentacion)
SELECT dato, 'CCF', 
(SELECT dato FROM vw_fdt_parametros WHERE pais = 'COL' AND parametro = 'parafiscal' AND secuencia = 1),
'C'
FROM datos_agr_trab
WHERE agrupacion = 
(SELECT dato FROM vw_fdt_parametros WHERE pais = 'COL' AND parametro = 'parafiscal' AND secuencia = 1);

commit;

